%define	name	powertweak
%define	version	0.99.4
%define	release	3mdk

Summary:	Powertweak - Tune system to optimal performance.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://powertweak.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildPreReq:	pciutils, gtk+-devel >= 1.2.0, libxml-devel >= 1.8.0
Requires:	pciutils >= 2.1, libxml >= 1.8.0
ExclusiveArch:	i386 i486 i586 i686 k6 k7

%description
Powertweak is a utility for tweaking your Linux system to peak performance.
It can tune many parts of your system. Tunes PCI devices to use optimal
settings. Enables performance enhancing features of the CPU(s).

%package devel
License:        GPL
Group:          System/Configuration/Hardware
Summary:        Powertweak - Tune system to optimal performance.
Requires: %name = %version

%description devel
Powertweak is a utility for tweaking your Linux system to peak performance.
It can tune many parts of your system. Tunes PCI devices to use optimal
settings. Enables performance enhancing features of the CPU(s)

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %name

%build

./configure --prefix=%_prefix --disable-rpath

%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Installing initrd file
mkdir -p $RPM_BUILD_ROOT/%_initrddir
install -m 755 distro/Redhat/*.init $RPM_BUILD_ROOT/%_initrddir

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gpowertweak"\
title="Powertweak"\
longtitle="System tuner"\
needs="x11"\
icon="hardware_section.png"\
section="Configuration/Hardware"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation AUTHORS ChangeLog COPYING INSTALL NEWS README
%_bindir/*
%_sbindir/*
%_datadir/%name
%_libdir/%name/plugins/*.so.*

%config(noreplace) %_sysconfdir/%name
%config(noreplace) %_initrddir/*

%{_menudir}/*

%files devel
%defattr (-,root,root)
%_libdir/%name/plugins/*.a
%_libdir/%name/plugins/*.la
%_libdir/%name/plugins/*.so

%changelog
* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.4-3mdk
- Fix menu entry

* Fri Dec 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- rebuild with right compiler

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.2-1mdk
- 0.99.2

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.16-2mdk
- macros
- BM
- menu

* Sat Jul 15 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1.16-1mdk
- fixed group
- initial mandrake release
- mandrake adaptions.

* Mon May 22 2000 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.15-1]
- Submitted patch to author to fix included spec file in source.
- Removed /usr/share/powertweak and /var/log/powertweak because they
  are not used.
- Now installing gpowertweak.man and powertweakconfig.man. (debian dir)
- Now installing logrotate config file for /var/log/powertweak.log (debian dir)

* Fri May 19 2000 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.14-1]
- Submitted patch to author to include spec file in source.
